﻿
@{
    ViewBag.Title = "LerMais";
    Layout = null;
}

@model IEnumerable<ProjetoBiblioteca.Models.LivrosModel>



@if (TempData["Msg"] != null)
{
    if (TempData["Msg"].ToString().IndexOf("sucesso") > 0)
    {
        <div id="Esconder" style="text-align:center; background-color: aquamarine"> @TempData["Msg"] </div>
    }
    else
    {
        <div id="Esconder" style="text-align:center; background-color: orangered"> @TempData["Msg"] </div>
    }
}


<!DOCTYPE HTML>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    @foreach (var item in Model)
    {
    <title>@item.Titulo</title>
    }
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Área de gerenciamento de livros" />
    <meta name="keywords" content="livros, biblioteca, senai" />
    <meta name="author" content="Leonardo Coelho e Marina Melaré" />
    <!-- Facebook and Twitter integration -->
    <meta property="og:title" content="" />
    <meta property="og:image" content="" />
    <meta property="og:url" content="" />
    <meta property="og:site_name" content="" />
    <meta property="og:description" content="" />
    <meta name="twitter:title" content="" />
    <meta name="twitter:image" content="" />
    <meta name="twitter:url" content="" />
    <meta name="twitter:card" content="" />
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,700" rel="stylesheet">
    <!--------------------------------------------------------------------------------------------------CSS----------------------------------------------------------------------------------------->
    <!-- Animate.css -->
    <link href="~/Content/animate.css" rel="stylesheet" />
    <!-- Icomoon Icon Fonts-->
    <link href="~/Content/icomoon.css" rel="stylesheet" />
    <!-- Themify Icons-->
    <link href="~/Content/themify-icons.css" rel="stylesheet" />
    <!-- Bootstrap  -->
    <link href="~/Content/bootstrapa.css" rel="stylesheet" />
    <!-- Magnific Popup -->
    <link href="~/Content/magnific-popup.css" rel="stylesheet" />
    <!-- Owl Carousel  -->
    <link href="~/Content/owl.carousel.min.css" rel="stylesheet" />
    <link href="~/Content/owl.theme.default.min.css" rel="stylesheet" />
    <!-- Theme style  -->
    <link href="~/Content/style.css" rel="stylesheet" />
    <!--------------------------------------------------------------------------------------------------CSS----------------------------------------------------------------------------------------->

</head>
<body>
    <div class="gtco-loader"> </div>

    <div id="page">

        <div class="page-inner ">
            <div id="head-top" style="position: absolute; width: 100%; top: 0; ">
                <div class="gtco-top">
                    <div class="container-fluid">
                        <div class="row">
                            <div class=" col-xs-6">
                                <!--92 x 28-->
                                <div id="gtco-logo"><a href="~/Biblio/Index"><img src="http://inovasaopaulo.org.br/wp-content/uploads/2017/10/SENAI-SP.jpg" width="197" height="50" alt="Image" class="img-responsive"></a></div>
                            </div>
                        </div>
                    </div>
                </div>
                <nav class="gtco-nav sticky-banner" role="navigation">
                    <div class="gtco-container">
                        <!------------------------------------------------------------------------Menu bar de opções---------------------------------------------------------------------------->
                        <div class="row">
                            <div class="col-xs-12 text-center menu-1">
                                <ul>
                                    <li><a href="~/Biblio/Index">Início</a></li>
                                    <li><a href="~/Biblio/Alunos">Alunos</a></li>
                                    <li><a href="~/Biblio/Professores">Professor</a></li>
                                    <li><a href="~/Biblio/Livros">Livros</a></li>
                                    <li><a href="~/Biblio/Autores">Autores</a></li>
                                    <li><a href="~/Emprestimo/Emprestimos">Empréstimos</a></li>
                                    <li><a href="~/Login/Sair">Sair</a></li>
                                </ul>
                            </div>
                        </div>
                        <!------------------------------------------------------------------------Menu bar de opções---------------------------------------------------------------------------->
                    </div>
                </nav>
            </div>

            <header id="gtco-header" class="gtco-cover gtco-cover-sm" role="banner" style="background-image: url(http://globalmedicalco.com/photos/globalmedicalco/4/16005.JPG)" data-stellar-background-ratio="0.5">
                <div class="overlay"></div>
                <div class="gtco-container">
                    <div class="row row-mt-15em">
                        <div class="col-md-7 mt-text text-left animate-box" data-animate-effect="fadeInUp">
                            @foreach (var item in Model)
                            {
                             <h1><strong>@item.Titulo</strong></h1>
                            }
                        </div>
                    </div>
                </div>
            </header>


            <div class=" gtco-gray-bg">
                    <div class="row">
                        <div class="col-md-12">
                                    <br /><br />
                                    @foreach (var item in Model)
                                    {
                                        String imgUrl = string.Format("data:image/jpeg;base64, {0}", item.ImagemString);
                                        <div class="col-lg-4 col-md-4 col-sm-6">
                                                    <img src="@imgUrl" alt="Image" class="img-responsive" width="600" height="600" >
                                             
                                        </div>
                                        <div class="col-lg-4 col-md-4 col-sm-6">
                                            <h4>Título: @item.Titulo</h4>
                                            <h4>Autor: @item.NomeAutor</h4>
                                            <h4>Isbn: @item.Isbn</h4>
                                            <h4>Série: @item.Serie</h4>
                                            <h4>Subtítulo: @item.Subtitulo</h4>
                                            <h4>Descritores: @item.Descritores</h4>
                                            <h4>Numero de Tombo: @item.NumTombo</h4>
                                            <h4>Edição: @item.Edicao</h4>
                                            <h4>Cidade de Publicação: @item.CidadePubli</h4>
                                            <h4>Ano de Publicação: @item.AnoPubli</h4>
                                            <h4>Editora: @item.Editora</h4>
                                            <h4>Numero de Páginas: @item.NumPag</h4>
                                            <h4>Avaliação: @item.Avaliacao</h4>
                                            @*@Html.ActionLink("Editar Cópia", "EditarCopia", new { @id = "myModal2", numTombo = item.NumTombo })*@ 
                                            <button id="myBtn" class="btn btn-primary">Editar Cópia</button>
                                            <button id="myBtn2" class="btn btn-primary">Excluir Cópia</button>
                                            <br /><br />
                                            @Html.ActionLink("Voltar para Livros", "Livros")   

                                        </div>                           
                                    }
                    </div>
<!---------------------------------------------------------------Modal Editar Cópia---------------------------------------------------------------------->
                        <div id="myModal" class="modal">

                            <!-- Modal content -->
                            <div class="modal-content">
                                
                                <div class="col-md-12">
                                    <div class="col-md-5 col-md-push-1 animate-box" style="float: left; left:25.333%">
                                        <div class="tabs-content" id="weather">

                                            <section id="second-tab-group" class="weathergroup">
                                                <div class="col-md-4">
                                                    <span class="close">X</span>
                                                    <div class="weather-item" style="height: 406px">
                                                       
                                                <!-------------------------------------Editar Cópia------------------------------------------>
                                                        <form action="~/Biblio/EditarCopia" >
                                                            <div class="col-lg-4 col-md-4 col-sm-6">
                                                                <a class="gtco-card-item" style="height: 327px; width: 251px;">
                                                                    <figure>
                                                                        <img src="https://uploaddeimagens.com.br/images/001/413/300/original/copy.jpeg?1526064528" alt="Image" class="img-responsive">
                                                                    </figure>
                                                                    <div class="gtco-text">
                                                                        <input type="submit" class="btn btn-primary" style="width: 100%" value="Editar Cópia" />
                                                                    </div>
                                                                </a>
                                                            </div>
                                                            @foreach (var item in Model)
                                                            {
                                                            <input name="numTombo" value="@item.NumTombo" type="text" hidden="hidden" />
                                                            }
                                                        </form>
                                                        <!-------------------------------------Editar Cópia------------------------------------------>

                                                        <!-------------------------------------Editar Livro------------------------------------------>
                                                        <form action="~/Biblio/EditarLivro" >
                                                            <div class="col-lg-4 col-md-4 col-sm-6">
                                                                <a class="gtco-card-item" style="height: 327px; width: 251px; left: 59.333%;">
                                                                    <figure>
                                                                        <img src="https://uploaddeimagens.com.br/images/001/413/370/full/book.jpeg?1526065784" alt="Image" class="img-responsive">
                                                                    </figure>
                                                                    <div class="gtco-text">
                                                                        @foreach (var item in Model)
                                                                        {
                                                                            <input name="numTombo" value="@item.NumTombo" type="text" hidden="hidden" />
                                                                        }
                                                                        <input type="submit" class="btn btn-primary" style="width: 100%" value="Editar Livro" />
                                                                    </div>
                                                                </a>
                                                            </div>
                                                        </form>
                                                        <!-------------------------------------Editar Livro------------------------------------------>

                                                    </div>
                                                </div>
                                            </section>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>
<!---------------------------------------------------------------Modal Editar Cópia---------------------------------------------------------------------->



<!---------------------------------------------------------------Modal Excluir Cópia---------------------------------------------------------------------->
                        <div id="myModal2" class="modal">

                            <!-- Modal content -->
                            <div class="modal-content">

                                <div class="col-md-12">
                                    <div class="col-md-5 col-md-push-1 animate-box" style="float: left; left:25.333%">
                                        <div class="tabs-content" id="weather">

                                            <section id="second-tab-group" class="weathergroup">
                                                <div class="col-md-4">
                                                    <span class="close">X</span>
                                                    <div class="weather-item" style="height: 406px">

                                                        <!-------------------------------------Excluir Cópia------------------------------------------>
                                                        <form action="~/Biblio/ExcluirCopia">
                                                            <div class="col-lg-4 col-md-4 col-sm-6">
                                                                <a class="gtco-card-item" style="height: 327px; width: 251px;">
                                                                    <figure>
                                                                        <img src="https://uploaddeimagens.com.br/images/001/413/300/original/copy.jpeg?1526064528" alt="Image" class="img-responsive">
                                                                    </figure>
                                                                    <div class="gtco-text">
                                                                        <input type="submit" class="btn btn-primary" style="width: 100%" value="Excluir Cópia" />
                                                                    </div>
                                                                </a>
                                                            </div>
                                                            @foreach (var item in Model)
                                                            {
                                                                <input name="numTombo" value="@item.NumTombo" type="text" hidden="hidden" />
                                                            }
                                                        </form>
                                                        <!-------------------------------------Excluir Cópia------------------------------------------>
                                                        <!-------------------------------------Excluir Livro------------------------------------------>
                                                        <form action="~/Biblio/ExcluirLivro">
                                                            <div class="col-lg-4 col-md-4 col-sm-6">
                                                                <a class="gtco-card-item" style="height: 327px; width: 251px; left: 59.333%;">
                                                                    <figure>
                                                                        <img src="https://uploaddeimagens.com.br/images/001/413/370/full/book.jpeg?1526065784" alt="Image" class="img-responsive">
                                                                    </figure>
                                                                    <div class="gtco-text">
                                                                        @foreach (var item in Model)
                                                                        {
                                                                            <input name="isbn" value="@item.Isbn" type="text" hidden="hidden" />
                                                                        }
                                                                        <input type="submit" class="btn btn-primary" style="width: 100%" value="Excluir Livro" />
                                                                    </div>
                                                                </a>
                                                            </div>
                                                        </form>
                                                        <!-------------------------------------Excluir Livro------------------------------------------>

                                                    </div>
                                                </div>
                                            </section>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>
<!---------------------------------------------------------------Modal Excluir Cópia---------------------------------------------------------------------->



                    <!----------------------------------------------------------Separando Divs---------------------------------------------------------------------->
                    <div style="clear: both;"></div>
                    <!----------------------------------------------------------Separando Divs---------------------------------------------------------------------->
                        <br /><br />
                            
            </div>
        </div>
             
        <!---------------------------------------------------------------------------------------Créditos do site------------------------------------------------------------------------------------>
        <footer id="gtco-footer" role="contentinfo">
            <div class="gtco-container">
                <div class="row copyright">
                    <div class="col-md-12">
                        <p class="pull-left">
                            <small class="block">&copy; 2018 SISTEMA DE EMPRÉSTIMOS DE LIVROS - SENAI. TODOS OS DIREITOS RESERVADOS.</small>
                            <small class="block">Desenvolvido por <a href="" target="_blank">Leonardo Coelho de Melo e Marina Aguiar Melaré</a> </small>
                        </p>
                    </div>
                </div>
            </div>
        </footer>
        <!---------------------------------------------------------------------------------------Créditos do site------------------------------------------------------------------------------------>
    </div>
    </div>
    <!---------------------------------------------------------------------------------------Icon para voltar pro topo------------------------------------------------------------------------------------>
    <div class="gototop js-top">
        <a href="#" class="js-gotop"><img src="https://icon-icons.com/icons2/934/PNG/512/up-arrow-black-square-button_icon-icons.com_72904.png" width="50px" height="50px" alt="Image" class="img-responsive"></a>
    </div>

    </div>

    <!---------------------------------------------------------------------------------------Icon para voltar pro topo------------------------------------------------------------------------------------>
    <!------------------------------------------------------------------------------------------------JavaScripts---------------------------------------------------------------------------------------->
    <!-- jQuery -->
    <script src="~/Scripts/jquery.min.js"></script>
    <!-- Modernizr JS -->
    <script src="~/Scripts/modernizr-2.6.2.min.js"></script>
    <!-- jQuery Easing -->
    <script src="~/Scripts/jquery.easing.1.3.js"></script>
    <!-- Bootstrap -->
    <script src="~/Scripts/bootstrapa.min.js"></script>
    <!-- Waypoints -->
    <script src="~/Scripts/jquery.waypoints.min.js"></script>
    <script src="~/Scripts/sticky.js"></script>
    <!-- Carousel -->
    <script src="~/Scripts/owl.carousel.min.js"></script>
    <!-- countTo -->
    <script src="~/Scripts/jquery.countTo.js"></script>
    <!-- Stellar Parallax -->
    <script src="~/Scripts/jquery.stellar.min.js"></script>
    <!-- Magnific Popup -->
    <script src="~/Scripts/jquery.magnific-popup.min.js"></script>
    <script src="~/Scripts/magnific-popup-options.js"></script>
    <!-- Main -->
    <script src="~/Scripts/main.js"></script>
    <script>
        $(document).ready(function () {
            $('#Esconder').delay(3000).fadeOut();
        });



        // Get the modal
        var modal = document.getElementById('myModal');

        // Get the link that opens the modal
        var btn = document.getElementById("myBtn");

        // Get the <span> element that closes the modal
        var span = document.getElementsByClassName("close")[0];

        // When the user clicks on the button, open the modal
        btn.onclick = function () {
            modal.style.display = "block";
        }

        // When the user clicks on <span> (x), close the modal
        span.onclick = function () {
            modal.style.display = "none";
        }

        // When the user clicks anywhere outside of the modal, close it
        window.onclick = function (event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        }


        // Get the modal
        var modal2 = document.getElementById('myModal2');

        // Get the link that opens the modal
        var btn2 = document.getElementById("myBtn2");

        // Get the <span> element that closes the modal
        var span = document.getElementsByClassName("close")[0];

        // When the user clicks on the button, open the modal
        btn2.onclick = function () {
            modal2.style.display = "block";
        }

        // When the user clicks on <span> (x), close the modal
        span.onclick = function () {
            modal2.style.display = "none";
        }

        // When the user clicks anywhere outside of the modal, close it
        window.onclick = function (event) {
            if (event.target == modal) {
                modal2.style.display = "none";
            }
        }
    </script>
    <!------------------------------------------------------------------------------------------------JavaScripts---------------------------------------------------------------------------------------->
</body>
</html>


